### Hierarchy

- BatchManager

## Index

### Constructors

- constructor

### Properties

- requestManager
- requests

### Methods

- add
- execute

## Constructors

### constructor

- new BatchManager(requestManager: RequestManager): BatchManager

- - Defined in core/requestManager/batchManager.ts:8

  #### Parameters

  - ##### requestManager: RequestManager

  #### Returns BatchManager

## Properties

### requestManager

requestManager: RequestManager

- Defined in core/requestManager/batchManager.ts:7

### requests

requests: any[]

- Defined in core/requestManager/batchManager.ts:8

## Methods

### add

- add(request: object): void

- - Defined in core/requestManager/batchManager.ts:15

  #### Parameters

  - ##### request: object

  #### Returns void

### execute

- execute(): void

- - Defined in core/requestManager/batchManager.ts:19

  #### Returns void

Generated using TypeDoc